Skip to content
Navigation

Update a client

Updates an existing client

PATCH
https://api.testandaccept.com/api/rest/clients/{id}

Authorization

  • bearerAuth
    HTTP Bearer (tnda_ token)
    required

Path parameters

  • id
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Request body JSON required

  • name
    optional
    string
    maxLength: 255 · minLength: 1
  • description
    optional
    string
  • website
    optional
    string
    format: uri
  • industry
    optional
    string

Returns

200

Successful response

JSON
  • id
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • name
    string
    required
  • organizationId
    string
    required
  • isPinned
    boolean
    required
  • pinnedAt
    required

    Any of the following:

    • string
    • null
  • contacts
    array of
    object
    required
    • id
      string
      required
      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
    • clientId
      string
      required
      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
    • name
      string
      required
    • email
      string
      required
    • isPrimary
      boolean
      required
    • createdAt
      string
      required
      format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
    • updatedAt
      string
      required
      format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
    • phone
      optional
      string
    • role
      optional
      string
  • createdAt
    string
    required
    format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
  • updatedAt
    string
    required
    format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
  • description
    optional
    string
  • website
    optional
    string
  • industry
    optional
    string

400

Invalid input data
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

401

Authorization not provided
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

403

Insufficient access
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

404

Not found
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

500

Internal server error
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

Type to search…

↑↓ navigate↵ selectEsc close